From 65709fc52cb270d5981e7e6b4bc67d44e7f305d8 Mon Sep 17 00:00:00 2001
From: Holger Just <hjust@meine-er.de>
Date: Thu, 24 Jan 2013 22:44:13 +0100
Subject: Improve error messages

--HG--
extra : source : d3184ce1a685bcfa8a45b9bfedc5bb870485dd0b
---
 ...ild_initial_journals_for_acts_as_journalized.rb |    2 +-
 lib/dispatcher.rb                                  |    3 ++-
 2 files changed, 3 insertions(+), 2 deletions(-)

diff --git a/db/migrate/20100714111653_build_initial_journals_for_acts_as_journalized.rb b/db/migrate/20100714111653_build_initial_journals_for_acts_as_journalized.rb
index 0e76661..9f6fd9f 100644
--- a/db/migrate/20100714111653_build_initial_journals_for_acts_as_journalized.rb
+++ b/db/migrate/20100714111653_build_initial_journals_for_acts_as_journalized.rb
@@ -27,7 +27,7 @@ class BuildInitialJournalsForActsAsJournalized < ActiveRecord::Migration
 
 
     [Message, Attachment, Document, Changeset, Issue, TimeEntry, News].each do |p|
-      say_with_time("Building initial journals for #{p.class_name}") do
+      say_with_time("Building initial journals for #{p.name}") do
 
         # avoid touching the journaled object on journal creation
         p.journal_class.class_exec {
diff --git a/lib/dispatcher.rb b/lib/dispatcher.rb
index 09b5d96..195d9d5 100644
--- a/lib/dispatcher.rb
+++ b/lib/dispatcher.rb
@@ -1,7 +1,8 @@
 class Dispatcher
   def self.to_prepare(&block)
     ::ActiveSupport::Deprecation.warn(
-      "Dispatcher.to_prepare is deprected. Use Rails.configuration.to_prepare instead."
+      "Dispatcher.to_prepare is deprected. Use Rails.configuration.to_prepare instead.",
+      caller
     )
     Rails.configuration.to_prepare(&block)
   end
-- 
1.7.1


